    <h2>
        <span jhiTranslate="mpmApp.overtime.home.titleForm">Annual Leave Request</span>
        <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/overtime-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down" jhiTranslate="mpmApp.overtime.home.createButton">
                Tambah
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <!-- <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Please insert">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div> -->
    <br/>
    <p-dataTable 
        [value]="picRoles"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idMasBahan"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        sortMode="multiple">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Please Insert Number Doc">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Doc">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nodoc}}
            </ng-template>
        </p-column>
        <p-column header="Dept.">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.div}}
            </ng-template>
        </p-column>
        <p-column header="Seksie">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.seksie}}
            </ng-template>
        </p-column>
        <p-column header="Date">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtStart | date:'dd-MM-yyyy HH:mm'}}
            </ng-template>
        </p-column>
        <p-column header="Status Desc.">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.statDesc}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.status}}
            </ng-template>
        </p-column> -->
        <!-- <p-column header="PIC Pembelian Barang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.pic}}
            </ng-template>
        </p-column> -->
        <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../master-bahan/0/' + page + '/' + rowData.idMasBahan + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
            </ng-template> 
        </p-column>-->
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../overtime-req/0/' + page + '/' + rowData.idOvertime + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="print(rowData.idOvertime, rowData)"
                        icon="fa-print"
                        class="flat-button">
                </button>
                <button pButton type="submit" [disabled]="(rowData.statustype === 11 || rowData.statustype === 12 || rowData.statustype === 14)"
                    (click)="delete(rowData.idOvertime)"
                    icon="fa-remove" pTooltip="Cancel Cuti"
                    class="flat-button">
            </button>
            </ng-template>
        </p-column>
        <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        </p-column> -->
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>.
